<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title>Guide utilisateur</title>
  <style type="text/css">
    html {
      line-height: 1.5;
      font-family: Georgia, serif;
      font-size: 20px;
      color: #1a1a1a;
      background-color: #fdfdfd;
    }
    body {
      margin: 0 auto;
      max-width: 36em;
      padding-left: 50px;
      padding-right: 50px;
      padding-top: 50px;
      padding-bottom: 50px;
      hyphens: auto;
      word-wrap: break-word;
      text-rendering: optimizeLegibility;
      font-kerning: normal;
    }
    @media (max-width: 600px) {
      body {
        font-size: 0.9em;
        padding: 1em;
      }
    }
    @media print {
      body {
        background-color: transparent;
        color: black;
        font-size: 12pt;
      }
      p, h2, h3 {
        orphans: 3;
        widows: 3;
      }
      h2, h3, h4 {
        page-break-after: avoid;
      }
    }
    p {
      margin: 1em 0;
    }
    a {
      color: #1a1a1a;
    }
    a:visited {
      color: #1a1a1a;
    }
    img {
      max-width: 100%;
    }
    h1, h2, h3, h4, h5, h6 {
      margin-top: 1.4em;
    }
    h5, h6 {
      font-size: 1em;
      font-style: italic;
    }
    h6 {
      font-weight: normal;
    }
    ol, ul {
      padding-left: 1.7em;
      margin-top: 1em;
    }
    li > ol, li > ul {
      margin-top: 0;
    }
    blockquote {
      margin: 1em 0 1em 1.7em;
      padding-left: 1em;
      border-left: 2px solid #e6e6e6;
      color: #606060;
    }
    code {
      font-family: Menlo, Monaco, 'Lucida Console', Consolas, monospace;
      font-size: 85%;
      margin: 0;
    }
    pre {
      margin: 1em 0;
      overflow: auto;
    }
    pre code {
      padding: 0;
      overflow: visible;
    }
    .sourceCode {
     background-color: transparent;
     overflow: visible;
    }
    hr {
      background-color: #1a1a1a;
      border: none;
      height: 1px;
      margin: 1em 0;
    }
    table {
      margin: 1em 0;
      border-collapse: collapse;
      width: 100%;
      overflow-x: auto;
      display: block;
      font-variant-numeric: lining-nums tabular-nums;
    }
    table caption {
      margin-bottom: 0.75em;
    }
    tbody {
      margin-top: 0.5em;
      border-top: 1px solid #1a1a1a;
      border-bottom: 1px solid #1a1a1a;
    }
    th {
      border-top: 1px solid #1a1a1a;
      padding: 0.25em 0.5em 0.25em 0.5em;
    }
    td {
      padding: 0.125em 0.5em 0.25em 0.5em;
    }
    header {
      margin-bottom: 4em;
      text-align: center;
    }
    #TOC li {
      list-style: none;
    }
    #TOC a:not(:hover) {
      text-decoration: none;
    }
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
    .display.math{display: block; text-align: center; margin: 0.5rem auto;}
  </style>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- jQuery -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.0.3/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>

  <!-- bootstrap -->
  <!--<link href="https://netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css" rel="stylesheet"  id="style">-->
  <script src="https://netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js"></script>

  <!-- highlight.js -->
  <!--<link href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/7.3/styles/default.min.css" rel="stylesheet" id="code-style">-->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/7.3/highlight.min.js"></script>
  <script>
  hljs.LANGUAGES.r=function(a){var b="([a-zA-Z]|\\.[a-zA-Z.])[a-zA-Z0-9._]*";return{c:[a.HCM,{b:b,l:b,k:{keyword:"function if in break next repeat else for return switch while try tryCatch|10 stop warning require library attach detach source setMethod setGeneric setGroupGeneric setClass ...|10",literal:"NULL NA TRUE FALSE T F Inf NaN NA_integer_|10 NA_real_|10 NA_character_|10 NA_complex_|10"},r:0},{cN:"number",b:"0[xX][0-9a-fA-F]+[Li]?\\b",r:0},{cN:"number",b:"\\d+(?:[eE][+\\-]?\\d*)?L\\b",r:0},{cN:"number",b:"\\d+\\.(?!\\d)(?:i\\b)?",r:0},{cN:"number",b:"\\d+(?:\\.\\d*)?(?:[eE][+\\-]?\\d*)?i?\\b",r:0},{cN:"number",b:"\\.\\d+(?:[eE][+\\-]?\\d*)?i?\\b",r:0},{b:"`",e:"`",r:0},{cN:"string",b:'"',e:'"',c:[a.BE],r:0},{cN:"string",b:"'",e:"'",c:[a.BE],r:0}]}}(hljs); </script>
  <!--<script type="text/javascript", src="https://yandex.st/highlightjs/7.3/languages/r.min.js"></script>-->

  <!-- Manific Popup -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/0.8.9/jquery.magnific-popup.min.js"></script>

  <script type="text/javascript"
    src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML">
  </script>
  <script defer="defer">
  // Function to generate the dynamic table of contents
  jQuery.fn.generate_TOC = function () {
    var base = $(this[0]);

    var selectors = ['h1', 'h2', 'h3', 'h4'];

    var last_ptr = [{}, {}, {}, {}];

    var anchors = {};

    generate_anchor = function (text) {
      var test = text.replace(/\W/g, '_');

      while(test in anchors){
        //if no suffix, add one
        if(test.match(/_\d+$/) === null){
          test = test + "_2";
        }
        //else generate unique id for duplicates by adding one to the suffix
        else {
          test = test.replace(/_(\d+)$/, function(match, number){ var num=+number+1; return("_" + num) });
        }
      }
      anchors[test]=1;
      return(test);
    }

    $(selectors.join(',')).filter(function(index) { return $(this).parent().attr("id") != 'header'; }).each(function () {

      var heading = $(this);
      var idx = selectors.indexOf(heading.prop('tagName').toLowerCase());
      var itr = 0;

      while (itr <= idx) {
        if (jQuery.isEmptyObject(last_ptr[itr])) {
          last_ptr[itr] = $('<ul>').addClass('nav');
          if (itr === 0) {
            base.append(last_ptr[itr])
          } else {
            if(last_ptr[itr-1].children('li').length === 0){
              last_ptr[itr-1].append(last_ptr[itr]);
            }
            else {
              last_ptr[itr - 1].children('li').last().append(last_ptr[itr]);
            }
          }
        }
        itr++;
      }
      var anchor = generate_anchor(heading.text());
      heading.attr('id', anchor);
      var a = $('<a>')
      .text(heading.text())
      .attr('href', '#' + anchor);

    var li = $('<li>')
      .append(a);

    last_ptr[idx].append(li);
    for (i = idx + 1; i < last_ptr.length; i++) {
      last_ptr[i] = {};
    }
    });
  }
  /* run scripts when document is ready */
  $(function() {
    "use strict";

    var $window = $(window);
    var $body = $(document.body);

    /* size of thumbnails */

    var hidden_types = ['source']
    var output_types = ['output', 'message', 'warning', 'error']

    /* style tables */
    $('table').addClass('table table-striped table-bordered table-hover table-condensed');

    $('pre code').each(function(i, e) {
      hljs.highlightBlock(e);
    });

    /* Magnific Popup */
    $(".thumbnail").each(function(){
      $(this).magnificPopup({
        disableOn: 768,
        closeOnContentClick: true,

        type: 'image',
        items: {
          src: $(this).find('img').attr('src'),
        }
      });
    });

    function toggle_block(obj, show) {
      var span = obj.find('span');
      if(show === true){
        span.removeClass('glyphicon-chevron-up').addClass('glyphicon-chevron-down');
        obj.next('pre').slideDown();
      }
      else {
        span.removeClass('glyphicon-chevron-down').addClass('glyphicon-chevron-up');
        obj.next('pre').slideUp();
      }
    }

    function toggle_thumbnails(imgs, show){
      if(show === true){
        imgs.parents().show()
        imgs.slideDown();
      }
      else {
        imgs.slideUp(400, function(){ $(this).parent().hide(); });
      }
    }

    function global_toggle(obj){
      var type = obj.attr('type');
      var show = !obj.parent('li').hasClass('active');
      if(show === true){
        obj.parent('li').addClass('active');
      }
      else{
        obj.parent('li').removeClass('active');
      }
      if(type == 'figure'){
        toggle_thumbnails($('.thumbnail img'), show);
      }
      else {
        $('.toggle.' + type).each(function() { toggle_block($(this), show); });
      }
    }

    /* onclick toggle next code block */
    $('.toggle').click(function() {
      var span = $(this).find('span');
      toggle_block($(this), !span.hasClass('glyphicon-chevron-down'));
      return false
    })

    // global toggles
    $('.toggle-global').click(function(){
      var type = $(this).attr('type');
      if(type === 'all-source'){
          $('li a.source').each(function() {
            global_toggle($(this));
          });
        }
      else if(type === 'all-output'){
        $.each(output_types, function(i, val){
          console.log(val);
          global_toggle($('li a.' + val));
        });
      }
      else {
        console.log($(this));
        global_toggle($(this));
      }
      return false;
    });
    /* table of contents */
    if($(['h1', 'h2', 'h3', 'h4'].join(',')).length > 0){
      $('body > #wrap > .container > .row').append('<div class="col-md-2"><div id="toc" class="well sidebar sidenav affix hidden-print"/></div>');
      $('#toc').generate_TOC();
    }

    $.each(hidden_types, function(i, type) {
      $('li[type=' + type + ']').each(function(){ global_toggle($(this)); });
    });

    /* remove paragraphs with no content */
    $('p:empty').remove();

    $body.scrollspy({
      target: '.sidebar',
    });

    /* theme switch */
    $('.theme-switch').click(function(){
      var css = $('link[title=' + $(this).attr('title') + ']');
      $('#theme[rel=stylesheet]').attr('href', css.attr('href'));
      $('.theme-switch').closest('li').removeClass('active');
      $(this).closest('li').addClass('active');
      return false;
    });
    /* code style switch */ //TODO use same function for both of these?
    $('.highlight-switch').click(function(){
      var css = $('link[title="' + $(this).attr('title') + '"]');
      $('#highlight[rel=stylesheet]').attr('href', css.attr('href'));
      $('.highlight-switch').closest('li').removeClass('active');
      $(this).closest('li').addClass('active');
      return false;
    });

    //TODO refresh on show/hide
    $window.on('load', function () {
      $body.scrollspy('refresh');
    })

  });

  </script>
  <style>
  /* Knitr_bootstrap styles */
  #header {
    display: none !important;
    visibility: hidden !important;
  }
  #wrap .container-fluid {
    padding: 0;
    overflow: hidden;
  }
  .toggle{
    text-transform: capitalize;
  }

  .toggle-global{
    text-transform: capitalize;
  }

  /* Sticky footer styles */
  * {
    margin:0;
  }
  html,
  body {
      height: 100%;
      padding:0 !important;
      /* The html and body elements cannot have any padding or margin. */
      /*overflow-x: hidden;*/
  }

  /* Wrapper for page content to push down footer */
  #wrap {
      min-height: 100%;
      height: auto !important;
      height: 100%;
      /* Negative indent footer by it's height */
      margin: 0 auto -120px;
  }

  /* Set the fixed height of the footer here */
  #push,
  #footer {
      height: 120px;
  }

  #footer {
    text-align: center;
  }

  /* Top level subheader elements.  These are the first nested items underneath a header element. */
  .header li {
    font-size: 20px;
  }

  /* Makes the font smaller for all subheader elements. */
  .sub-header li {
      font-size: 12px;
  }

  button.thumbnails {
    margin-left:0px;
  }

  /*
   * Side navigation
   *
   * Scrollspy and affixed enhanced navigation to highlight sections and secondary
   * sections of docs content.
   */

  /* By default it's not affixed in mobile views, so undo that */
  .sidebar.affix {
    position: static;
  }

  /* First level of nav */
  .sidenav {
    margin-top: 30px;
    margin-bottom: 30px;
    padding-top:    10px;
    padding-bottom: 10px;
    border-radius: 5px;
  }

  /* All levels of nav */
  .sidebar .nav > li > a {
    display: block;
    padding: 5px 20px;
  }
  .sidebar .nav > li > a:hover,
  .sidebar .nav > li > a:focus {
    text-decoration: none;
    border-right: 1px solid;
  }
  .sidebar .nav > .active > a,
  .sidebar .nav > .active:hover > a,
  .sidebar .nav > .active:focus > a {
    font-weight: bold;
    background-color: transparent;
    border-right: 1px solid;
  }

  /* Nav: second level (shown on .active) */
  .sidebar .nav .nav {
    display: none; /* Hide by default, but at >768px, show it */
    margin-bottom: 8px;
  }
  .sidebar .nav .nav > li > a {
    padding-top:    3px;
    padding-bottom: 3px;
    padding-left: 30px;
    font-size: 90%;
  }

  .sidebar .nav .nav .nav > li > a {
    padding-left: 40px;
  }
  .sidebar .nav .nav .nav .nav > li > a {
    padding-left: 50px;
  }

  /* Show and affix the side nav when space allows it */
  @media screen and (min-width: 992px) {
    .sidebar .nav > .active > ul {
      display: block;
    }
    /* Widen the fixed sidebar */
    .sidebar.affix,
    .sidebar.affix-bottom {
      width: 213px;
    }
    .sidebar.affix-top,
    .sidebar.affix {
      position: fixed; /* Undo the static from mobile first approach */
      top: 30px;
    }
    .sidebar.affix-bottom {
      position: absolute; /* Undo the static from mobile first approach */
    }
    .sidebar.affix-bottom .sidenav,
    .sidebar.affix .sidenav {
      margin-top: 0;
      margin-bottom: 0;
    }
  }
  @media screen and (min-width: 1200px) {
    /* Widen the fixed sidebar again */
    .sidebar.affix-bottom,
    .sidebar.affix {
      width: 263px;
    }
  }

  #toc {
    padding: 10px 0px;
    margin:0;
    border:0;
  }


  .panel pre {
    margin: 0;
    padding: 0;
    border: 0;
  }
  button + pre {
    margin: 0;
    padding: 0;
  }
  pre code {
    border-radius: 0;
  }
  /* Magnific Popup CSS */
  .mfp-bg {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1042;
    overflow: hidden;
    position: fixed;
    background: #0b0b0b;
    opacity: 0.8;
    filter: alpha(opacity=80); }

  .mfp-wrap {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1043;
    position: fixed;
    outline: none !important;
    -webkit-backface-visibility: hidden; }

  .mfp-container {
    text-align: center;
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    padding: 0 8px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box; }

  .mfp-container:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle; }

  .mfp-align-top .mfp-container:before {
    display: none; }

  .mfp-content {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin: 0 auto;
    text-align: left;
    z-index: 1045; }

  .mfp-inline-holder .mfp-content,
  .mfp-ajax-holder .mfp-content {
    width: 100%;
    cursor: auto; }

  .mfp-ajax-cur {
    cursor: progress; }

  .mfp-zoom-out-cur,
  .mfp-zoom-out-cur .mfp-image-holder .mfp-close {
    cursor: -moz-zoom-out;
    cursor: -webkit-zoom-out;
    cursor: zoom-out; }

  .mfp-zoom {
    cursor: pointer;
    cursor: -webkit-zoom-in;
    cursor: -moz-zoom-in;
    cursor: zoom-in; }

  .mfp-auto-cursor .mfp-content {
    cursor: auto; }

  .mfp-close,
  .mfp-arrow,
  .mfp-preloader,
  .mfp-counter {
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none; }

  .mfp-loading.mfp-figure {
    display: none; }

  .mfp-hide {
    display: none !important; }

  .mfp-preloader {
    color: #cccccc;
    position: absolute;
    top: 50%;
    width: auto;
    text-align: center;
    margin-top: -0.8em;
    left: 8px;
    right: 8px;
    z-index: 1044; }

  .mfp-preloader a {
    color: #cccccc; }

  .mfp-preloader a:hover {
    color: white; }

  .mfp-s-ready .mfp-preloader {
    display: none; }

  .mfp-s-error .mfp-content {
    display: none; }

  button.mfp-close,
  button.mfp-arrow {
    overflow: visible;
    cursor: pointer;
    background: transparent;
    border: 0;
    -webkit-appearance: none;
    display: block;
    padding: 0;
    z-index: 1046;
    -webkit-box-shadow: none;
    box-shadow: none; }

  button::-moz-focus-inner {
    padding: 0;
    border: 0; }

  .mfp-close {
    width: 44px;
    height: 44px;
    line-height: 44px;
    position: absolute;
    right: 0;
    top: 0;
    text-decoration: none;
    text-align: center;
    opacity: 0.65;
    padding: 0 0 18px 10px;
    color: white;
    font-style: normal;
    font-size: 28px;
    font-family: Arial, Baskerville, monospace; }
    .mfp-close:hover, .mfp-close:focus {
      opacity: 1; }
    .mfp-close:active {
      top: 1px; }

  .mfp-close-btn-in .mfp-close {
    color: #333333; }

  .mfp-image-holder .mfp-close,
  .mfp-iframe-holder .mfp-close {
    color: white;
    right: -6px;
    text-align: right;
    padding-right: 6px;
    width: 100%; }

  .mfp-counter {
    position: absolute;
    top: 0;
    right: 0;
    color: #cccccc;
    font-size: 12px;
    line-height: 18px; }

  .mfp-arrow {
    position: absolute;
    opacity: 0.65;
    margin: 0;
    top: 50%;
    margin-top: -55px;
    padding: 0;
    width: 90px;
    height: 110px;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0); }

  .mfp-arrow:active {
    margin-top: -54px; }

  .mfp-arrow:hover,
  .mfp-arrow:focus {
    opacity: 1; }

  .mfp-arrow:before, .mfp-arrow:after,
  .mfp-arrow .mfp-b,
  .mfp-arrow .mfp-a {
    content: '';
    display: block;
    width: 0;
    height: 0;
    position: absolute;
    left: 0;
    top: 0;
    margin-top: 35px;
    margin-left: 35px;
    border: medium inset transparent; }
  .mfp-arrow:after,
  .mfp-arrow .mfp-a {
    border-top-width: 13px;
    border-bottom-width: 13px;
    top: 8px; }
  .mfp-arrow:before,
  .mfp-arrow .mfp-b {
    border-top-width: 21px;
    border-bottom-width: 21px; }

  .mfp-arrow-left {
    left: 0; }
    .mfp-arrow-left:after,
    .mfp-arrow-left .mfp-a {
      border-right: 17px solid white;
      margin-left: 31px; }
    .mfp-arrow-left:before,
    .mfp-arrow-left .mfp-b {
      margin-left: 25px;
      border-right: 27px solid #3f3f3f; }

  .mfp-arrow-right {
    right: 0; }
    .mfp-arrow-right:after,
    .mfp-arrow-right .mfp-a {
      border-left: 17px solid white;
      margin-left: 39px; }
    .mfp-arrow-right:before,
    .mfp-arrow-right .mfp-b {
      border-left: 27px solid #3f3f3f; }

  .mfp-iframe-holder {
    padding-top: 40px;
    padding-bottom: 40px; }

  .mfp-iframe-holder .mfp-content {
    line-height: 0;
    width: 100%;
    max-width: 900px; }

  .mfp-iframe-scaler {
    width: 100%;
    height: 0;
    overflow: hidden;
    padding-top: 56.25%; }

  .mfp-iframe-scaler iframe {
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.6);
    background: black; }

  .mfp-iframe-holder .mfp-close {
    top: -40px; }

  /* Main image in popup */
  img.mfp-img {
    width: auto;
    max-width: 100%;
    height: auto;
    display: block;
    line-height: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 40px 0 40px;
    margin: 0 auto; }

  /* The shadow behind the image */
  .mfp-figure:after {
    content: '';
    position: absolute;
    left: 0;
    top: 40px;
    bottom: 40px;
    display: block;
    right: 0;
    width: auto;
    height: auto;
    z-index: -1;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.6);
    background: #444444; }

  .mfp-figure {
    line-height: 0; }

  .mfp-bottom-bar {
    margin-top: -36px;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    cursor: auto; }

  .mfp-title {
    text-align: left;
    line-height: 18px;
    color: #f3f3f3;
    word-wrap: break-word;
    padding-right: 36px; }

  .mfp-figure small {
    color: #bdbdbd;
    display: block;
    font-size: 12px;
    line-height: 14px; }

  .mfp-image-holder .mfp-content {
    max-width: 100%; }

  .mfp-gallery .mfp-image-holder .mfp-figure {
    cursor: pointer; }

  @media screen and (max-width: 800px) and (orientation: landscape), screen and (max-height: 300px) {
    /**
     * Remove all paddings around the image on small screen
     */
    .mfp-img-mobile .mfp-image-holder {
      padding-left: 0;
      padding-right: 0; }

    .mfp-img-mobile img.mfp-img {
      padding: 0; }

    /* The shadow behind the image */
    .mfp-img-mobile .mfp-figure:after {
      top: 0;
      bottom: 0; }

    .mfp-img-mobile .mfp-bottom-bar {
      background: rgba(0, 0, 0, 0.6);
      bottom: 0;
      margin: 0;
      top: auto;
      padding: 3px 5px;
      position: fixed;
      -webkit-box-sizing: border-box;
      -moz-box-sizing: border-box;
      box-sizing: border-box; }

    .mfp-img-mobile .mfp-bottom-bar:empty {
      padding: 0; }

    .mfp-img-mobile .mfp-counter {
      right: 5px;
      top: 3px; }

    .mfp-img-mobile .mfp-close {
      top: 0;
      right: 0;
      width: 35px;
      height: 35px;
      line-height: 35px;
      background: rgba(0, 0, 0, 0.6);
      position: fixed;
      text-align: center;
      padding: 0; }

    .mfp-img-mobile .mfp-figure small {
      display: inline;
      margin-left: 5px; } }
  @media all and (max-width: 900px) {
    .mfp-arrow {
      -webkit-transform: scale(0.75);
      transform: scale(0.75); }

    .mfp-arrow-left {
      -webkit-transform-origin: 0;
      transform-origin: 0; }

    .mfp-arrow-right {
      -webkit-transform-origin: 100%;
      transform-origin: 100%; }

    .mfp-container {
      padding-left: 6px;
      padding-right: 6px; } }
  .mfp-ie7 .mfp-img {
    padding: 0; }
  .mfp-ie7 .mfp-bottom-bar {
    width: 600px;
    left: 50%;
    margin-left: -300px;
    margin-top: 5px;
    padding-bottom: 5px; }
  .mfp-ie7 .mfp-container {
    padding: 0; }
  .mfp-ie7 .mfp-content {
    padding-top: 44px; }
  .mfp-ie7 .mfp-close {
    top: 0;
    right: 0;
    padding-top: 0; }

  //Magnific overrides
  .mfp-image img{
    background: white;
  }
  .mfp-figure:after {
    background: white;
  }

  /*
   * Off Canvas navbar toggle right
   * --------------------------------------------------
   */

  @media screen and (max-width: 768px) {
    .row-offcanvas .collapsing {
    -webkit-transition: none 0;
      -moz-transition: none 0;
      transition: none 0;
    }
   .row-offcanvas .navbar {
    position: absolute;
    z-index: 2;
      right:0;
      height:100%;
      width:55px;
      border:0;
      background-color:transparent;
    }
    .row-offcanvas .navbar-toggle {
      margin-right: 5px;
      margin-left: 5px;
    }
    .row-offcanvas {
      position: relative;
    }
    .row-offcanvas-right.active .navbar {
    position: absolute;
    z-index: 2;
      right: -28.4%;
      width:40%;
      background-color:#eee;
      border:0 solid #ddd;
      border-left-width:1px;
    }
    .row-offcanvas-right.active {
      left: -30%;
    }
    .row-offcanvas-right.active .navbar-collapse {
      position: relative;
      width: 100%;
    }
    .row-offcanvas .content {
    /*width:calc(100% - 60px);*/
    }
  }
  </style>
</head>
<body>
<div id="header">
<h1 class="title">Guide utilisateur</h1>
</div>
<div id="wrap">
<div class="container">
<div class="row row-offcanvas row-offcanvas-right">
<div class="contents col-xs-12 col-md-10">
<div class="row">
<style type="text/css">
   body .main-container {
     max-width: 1280px !important;
     width: 1280px !important;
   }
   body {
     max-width: 1280px !important;
   }
   
   pre {
     max-height: 300px;
     overflow-y: auto;
   }

   pre[class] {
     max-height: 100px;
   }
   
   .scroll-100 {
     max-height: 100px;
     overflow-y: auto;
     background-color: inherit;
   }
</style>
</div>
<h1 id="installation">Installation</h1>
<p>Le paquet <code>calculPension</code> n’est pas sur le CRAN. Pour l’installer passer par <code>devtools::install_gitlab("DREES_code/public/outils/calcul_pension")</code>.</p>
<p><code>calculPension</code> est hautement dépendant du paquet <code>data.table</code>.</p>
Une fois installé, charger le paquet avec : <code>library(calculPension)</code>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">library(calculPension)</code></pre>
</div>
<p>Faire tout de suite tourner <code>lectureIntrantsCor</code> pour avoir les séries du COR.</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">parametresCOR<-lectureIntrantsCor()</code></pre>
</div>
<h1 id="un-premier-exemple-simple-salarié-du-privé-au-smic">Un premier exemple simple : salarié du privé au Smic</h1>
<p>Dans ce cas simple, deux bases sont à remplir : une avec les données individuelles <code>dtId</code> et une avec les données de carrière <code>dtIdAnEtat</code>.</p>
<h2 id="les-données-individuelles-nécessaires">Les données individuelles nécessaires</h2>
<ul>
<li><strong>id</strong> : l’identifiant individuel unique. Au choix de l’utilisateur, peut être un entier <code>1</code>,<code>2</code>,<code>3</code> etc. ou un caractère <code>salarie prive au smic</code>, <code>fonctionnaire au SMPT</code> etc.</li>
<li><strong>dateNaissance</strong> : la date de naissance de chacun au format <strong>anneeMois</strong> spécifique. D’abord l’année de naissance puis le mois de naissance, <em>ex : avril 1960 -&gt; <code>anneeMois(1960, 4)</code></em></li>
<li><strong>sexe</strong> : le sexe <code>Homme</code> ou <code>Femme</code>. Dans notre modélisation, seules les femmes touchent des trimestres de majoration pour enfant</li>
<li><strong>ageMort</strong> : l’âge de la mort, <em>ex : <code>86</code></em></li>
<li><strong>nbEnfant</strong> : le nombre d’enfants, <em>ex : <code>0</code></em></li>
<li><strong>dateLiq</strong> : la date de liquidation peut être mise ici si l’individu liquide toutes ses caisses au même moment. La date est au format <strong>anneeMois</strong>, <em>ex : octobre 2020 -&gt; <code>anneeMois(2020, 10)</code></em></li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtId <- data.table(
  id = "salarié privé au smic",
  dateNaissance = anneeMois(aaaa = 1960, mm = 4), # né en avril 1960
  sexe="Femme",
  ageMort=86,
  nbEnfant=0,
  dateLiq = anneeMois(aaaa = 2022, mm = 4))</code></pre>
</div>
<h2 id="les-données-de-carrière-id-année-état">Les données de carrière (id, année, état)</h2>
<p>Pour le même individu <code>id</code>, ses données de carrière sont :</p>
<ul>
<li><strong>annee</strong>, les années, ex : <code>1980:2028</code> pour les années entre 1980 et 2028</li>
<li><strong>etatTravail</strong>, <code>Cnav Arrco</code> ici car on simule un salarié non cadre du privé. Pour les autres possibilités, cf <a href="#Plus_de_possibilit_s">plus bas</a></li>
<li><strong>remuneration</strong>, la rémunération annuelle déplafonnée. La fonction <code>serieSmic</code> fournit le SMIC directement, elle nécessite l’hypothèse de projection du Salaire Moyen Par Tête (SMPT) pour les prévisions.</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdAnEtat<-
  data.table(
    id = "salarié privé au smic",
    annee=1980:2028,
    etatTravail="Cnav Arrco", # le fait de ne mettre qu'un état fait qu'il est dupliqué tout au long de la carrière
    remuneration=serieSmic(1980,2028, hypSmpt_=1.3))</code></pre>
</div>
<h2 id="résultats">Résultats</h2>
<p>La fonction <code>calculePension</code> procède alors à tous les calculs.</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1 <- calculePension(
    dtIdAnEtat = dtIdAnEtat,
    dtId = dtId,
    hypSmpt=1.3
    )</code></pre>
</div>
<p>La liste <code>resultats1</code> contient différentes bases :</p>
<ul>
<li><code>dtIdCaisse</code> contient notamment la pension brute à la liquidation pour chaque régime</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdCaisse</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id      caisse majorationEnfant ajoutMinimum
1: salarié privé au smic        Cnav                0            0
2: salarié privé au smic Agirc-Arrco                0            0
   pensionAvantMinEtMajo tauxSurcote nbTrimSurcote taux tauxDecote nbTrimDecote
1:                   749           0             0   50          0            0
2:                   327           0             0  100          0            0
   dateLiq pension dateValeurPension anneeLiq
1: 2022-04     749           2022-04     2022
2: 2022-04     327           2022-04     2022
</code></pre>
</div>
<ul>
<li><code>dtIdCaisseBase</code> contient notamment les différents trimestres spécifiques aux régimes de base</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdCaisseBase</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id caisse prorat dateLiq dateNaissance
1: salarié privé au smic   Cnav      1 2022-04       1960-04
   dureeValideeTousRegimes dureeValidee dureeCotisee ageTauxPlein dureeProrat
1:                     169          169          169           62         167
   dureeRequise AAD AOD eligibleRacl1 eligibleRacl2 MDAenfantPourTaux
1:          167  67  62         FALSE         FALSE                 0
   MDAenfantPourProrat nbTrimServiceMili nbTrimBonification estInvalide ageliq
1:                   0                 0                  0       FALSE     62
</code></pre>
</div>
<ul>
<li><code>dtIdCaisseSalaireReference</code> contient le salaire de référence, pour les régimes en annuités, en euros courant au moment de la liquidation.</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdCaisseSalaireReference</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id caisse salaireReference
1: salarié privé au smic   Cnav          17977.2
</code></pre>
</div>
<ul>
<li><p><code>dtIdAnCaisse</code>, <code>dtIdAnCaisseCotis</code> (régimes de base) et <code>dtIdAnCaisseComplementaire</code>, <code>dtIdAnCaisseCotisComp</code> (régimes complémentaires) contiennent des informations annuelles par caisse :</p>
<ul>
<li><code>dtIdAnCaisse</code> sur les régimes de base en annuités : durées cotisées et validées</li>
</ul></li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdAnCaisse</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                       id annee caisse nbTrimCotise nbTrimValide remuneration
 1: salarié privé au smic  1980   Cnav            4            4     4376.512
 2: salarié privé au smic  1981   Cnav            4            4     5169.370
 3: salarié privé au smic  1982   Cnav            4            4     5930.417
 4: salarié privé au smic  1983   Cnav            4            4     6648.090
 5: salarié privé au smic  1984   Cnav            4            4     7274.555
 6: salarié privé au smic  1985   Cnav            4            4     7867.824
 7: salarié privé au smic  1986   Cnav            4            4     8201.826
 8: salarié privé au smic  1987   Cnav            4            4     8533.320
 9: salarié privé au smic  1988   Cnav            4            4     8766.411
10: salarié privé au smic  1989   Cnav            4            4     9132.866
11: salarié privé au smic  1990   Cnav            4            4     9524.271
12: salarié privé au smic  1991   Cnav            4            4     9986.996
13: salarié privé au smic  1992   Cnav            4            4    10381.967
14: salarié privé au smic  1993   Cnav            4            4    10650.222
15: salarié privé au smic  1994   Cnav            4            4    10882.046
16: salarié privé au smic  1995   Cnav            4            4    11215.277
17: salarié privé au smic  1996   Cnav            4            4    11615.660
18: salarié privé au smic  1997   Cnav            4            4    11957.404
19: salarié privé au smic  1998   Cnav            4            4    12313.564
20: salarié privé au smic  1999   Cnav            4            4    12512.608
21: salarié privé au smic  2000   Cnav            4            4    12791.321
22: salarié privé au smic  2001   Cnav            4            4    13256.132
23: salarié privé au smic  2002   Cnav            4            4    13690.333
24: salarié privé au smic  2003   Cnav            4            4    14219.280
25: salarié privé au smic  2004   Cnav            4            4    14496.381
26: salarié privé au smic  2005   Cnav            4            4    14777.848
27: salarié privé au smic  2006   Cnav            4            4    14834.795
28: salarié privé au smic  2007   Cnav            4            4    15207.372
29: salarié privé au smic  2008   Cnav            4            4    15665.476
30: salarié privé au smic  2009   Cnav            4            4    15953.123
31: salarié privé au smic  2010   Cnav            4            4    16125.200
32: salarié privé au smic  2011   Cnav            4            4    16409.369
33: salarié privé au smic  2012   Cnav            4            4    16945.095
34: salarié privé au smic  2013   Cnav            4            4    17162.600
35: salarié privé au smic  2014   Cnav            4            4    17344.600
36: salarié privé au smic  2015   Cnav            4            4    17490.200
37: salarié privé au smic  2016   Cnav            4            4    17599.400
38: salarié privé au smic  2017   Cnav            4            4    17763.200
39: salarié privé au smic  2018   Cnav            4            4    17981.600
40: salarié privé au smic  2019   Cnav            4            4    18254.600
41: salarié privé au smic  2020   Cnav            4            4    18473.655
42: salarié privé au smic  2021   Cnav            4            4    18658.392
43: salarié privé au smic  2022   Cnav            1            1     4725.000
                       id annee caisse nbTrimCotise nbTrimValide remuneration
    montantAvpf
 1:           0
 2:           0
 3:           0
 4:           0
 5:           0
 6:           0
 7:           0
 8:           0
 9:           0
10:           0
11:           0
12:           0
13:           0
14:           0
15:           0
16:           0
17:           0
18:           0
19:           0
20:           0
21:           0
22:           0
23:           0
24:           0
25:           0
26:           0
27:           0
28:           0
29:           0
30:           0
31:           0
32:           0
33:           0
34:           0
35:           0
36:           0
37:           0
38:           0
39:           0
40:           0
41:           0
42:           0
43:           0
    montantAvpf
</code></pre>
</div>
<p>Il est important de noter que, l’année de liquidation, la rémunération annuelle entrée par l’utilisateur est prise au prorata du temps travaillé dans l’année.</p>
<ul>
<li><code>dtIdAnCaisseCotis</code> sur les régimes de base : cotisations. Elle peut diffèrer de <code>dtIdAnCaisse</code> car les liquidations unifiées peuvent modifier les carrières</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdAnCaisseCotis</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                       id annee caisse remuneration cotisationSalariale
 1: salarié privé au smic  1980   Cnav     4376.512                 206
 2: salarié privé au smic  1981   Cnav     5169.370                 248
 3: salarié privé au smic  1982   Cnav     5930.417                 285
 4: salarié privé au smic  1983   Cnav     6648.090                 319
 5: salarié privé au smic  1984   Cnav     7274.555                 422
 6: salarié privé au smic  1985   Cnav     7867.824                 456
 7: salarié privé au smic  1986   Cnav     8201.826                 533
 8: salarié privé au smic  1987   Cnav     8533.320                 572
 9: salarié privé au smic  1988   Cnav     8766.411                 587
10: salarié privé au smic  1989   Cnav     9132.866                 703
11: salarié privé au smic  1990   Cnav     9524.271                 733
12: salarié privé au smic  1991   Cnav     9986.996                 768
13: salarié privé au smic  1992   Cnav    10381.967                 799
14: salarié privé au smic  1993   Cnav    10650.222                 951
15: salarié privé au smic  1994   Cnav    10882.046                 972
16: salarié privé au smic  1995   Cnav    11215.277                1002
17: salarié privé au smic  1996   Cnav    11615.660                1092
18: salarié privé au smic  1997   Cnav    11957.404                1238
19: salarié privé au smic  1998   Cnav    12313.564                1755
20: salarié privé au smic  1999   Cnav    12512.608                1783
21: salarié privé au smic  2000   Cnav    12791.321                1823
22: salarié privé au smic  2001   Cnav    13256.132                1889
23: salarié privé au smic  2002   Cnav    13690.333                1951
24: salarié privé au smic  2003   Cnav    14219.280                2026
25: salarié privé au smic  2004   Cnav    14496.381                2066
26: salarié privé au smic  2005   Cnav    14777.848                2129
27: salarié privé au smic  2006   Cnav    14834.795                2153
28: salarié privé au smic  2007   Cnav    15207.372                2207
29: salarié privé au smic  2008   Cnav    15665.476                2273
30: salarié privé au smic  2009   Cnav    15953.123                2315
31: salarié privé au smic  2010   Cnav    16125.200                2340
32: salarié privé au smic  2011   Cnav    16409.369                2381
33: salarié privé au smic  2012   Cnav    16945.095                2459
34: salarié privé au smic  2013   Cnav    17162.600                2507
35: salarié privé au smic  2014   Cnav    17344.600                2569
36: salarié privé au smic  2015   Cnav    17490.200                2608
37: salarié privé au smic  2016   Cnav    17599.400                2642
38: salarié privé au smic  2017   Cnav    17763.200                2675
39: salarié privé au smic  2018   Cnav    17981.600                3026
40: salarié privé au smic  2019   Cnav    18254.600                3072
41: salarié privé au smic  2020   Cnav    18473.655                3109
42: salarié privé au smic  2021   Cnav    18658.392                3140
43: salarié privé au smic  2022   Cnav     4725.000                 795
                       id annee caisse remuneration cotisationSalariale
    cotisationEmployeur
 1:                 359
 2:                 424
 3:                 486
 4:                 545
 5:                 597
 6:                 645
 7:                 673
 8:                 700
 9:                 719
10:                 749
11:                 781
12:                 979
13:                1017
14:                1044
15:                1066
16:                1099
17:                1138
18:                1172
19:                1207
20:                1226
21:                1254
22:                1299
23:                1342
24:                1393
25:                1421
26:                1448
27:                1469
28:                1506
29:                1551
30:                1579
31:                1596
32:                1625
33:                1678
34:                1716
35:                1769
36:                1801
37:                1830
38:                1856
39:                1879
40:                1908
41:                1930
42:                1950
43:                 494
    cotisationEmployeur
</code></pre>
</div>
<ul>
<li><code>dtIdAnCaisseComplementaire</code> sur les régimes complémentaires en points : cotisations, nombre de points acquis.</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdAnCaisseComplementaire</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                       id annee      caisse nbPtCotise remuneration nbPt
 1: salarié privé au smic  1980 Agirc-Arrco         63     4376.512   63
 2: salarié privé au smic  1981 Agirc-Arrco         66     5169.370   66
 3: salarié privé au smic  1982 Agirc-Arrco         67     5930.417   67
 4: salarié privé au smic  1983 Agirc-Arrco         68     6648.090   68
 5: salarié privé au smic  1984 Agirc-Arrco         70     7274.555   70
 6: salarié privé au smic  1985 Agirc-Arrco         70     7867.824   70
 7: salarié privé au smic  1986 Agirc-Arrco         70     8201.826   70
 8: salarié privé au smic  1987 Agirc-Arrco         70     8533.320   70
 9: salarié privé au smic  1988 Agirc-Arrco         69     8766.411   69
10: salarié privé au smic  1989 Agirc-Arrco         68     9132.866   68
11: salarié privé au smic  1990 Agirc-Arrco         68     9524.271   68
12: salarié privé au smic  1991 Agirc-Arrco         68     9986.996   68
13: salarié privé au smic  1992 Agirc-Arrco         68    10381.967   68
14: salarié privé au smic  1993 Agirc-Arrco         68    10650.222   68
15: salarié privé au smic  1994 Agirc-Arrco         70    10882.046   70
16: salarié privé au smic  1995 Agirc-Arrco         71    11215.277   71
17: salarié privé au smic  1996 Agirc-Arrco         72    11615.660   72
18: salarié privé au smic  1997 Agirc-Arrco         73    11957.404   73
19: salarié privé au smic  1998 Agirc-Arrco         74    12313.564   74
20: salarié privé au smic  1999 Agirc-Arrco         74    12512.608   74
21: salarié privé au smic  2000 Agirc-Arrco         72    12791.321   72
22: salarié privé au smic  2001 Agirc-Arrco         73    13256.132   73
23: salarié privé au smic  2002 Agirc-Arrco         74    13690.333   74
24: salarié privé au smic  2003 Agirc-Arrco         76    14219.280   76
25: salarié privé au smic  2004 Agirc-Arrco         76    14496.381   76
26: salarié privé au smic  2005 Agirc-Arrco         75    14777.848   75
27: salarié privé au smic  2006 Agirc-Arrco         73    14834.795   73
28: salarié privé au smic  2007 Agirc-Arrco         73    15207.372   73
29: salarié privé au smic  2008 Agirc-Arrco         72    15665.476   72
30: salarié privé au smic  2009 Agirc-Arrco         72    15953.123   72
31: salarié privé au smic  2010 Agirc-Arrco         72    16125.200   72
32: salarié privé au smic  2011 Agirc-Arrco         72    16409.369   72
33: salarié privé au smic  2012 Agirc-Arrco         73    16945.095   73
34: salarié privé au smic  2013 Agirc-Arrco         73    17162.600   73
35: salarié privé au smic  2014 Agirc-Arrco         74    17344.600   74
36: salarié privé au smic  2015 Agirc-Arrco         76    17490.200   76
37: salarié privé au smic  2016 Agirc-Arrco         74    17599.400   74
38: salarié privé au smic  2017 Agirc-Arrco         72    17763.200   72
39: salarié privé au smic  2018 Agirc-Arrco         71    17981.600   71
40: salarié privé au smic  2019 Agirc-Arrco         71    18254.600   71
41: salarié privé au smic  2020 Agirc-Arrco         70    18473.655   70
42: salarié privé au smic  2021 Agirc-Arrco         69    18658.392   69
43: salarié privé au smic  2022 Agirc-Arrco         17     4725.000   17
                       id annee      caisse nbPtCotise remuneration nbPt
</code></pre>
</div>
<p>La fusion des régimes Agirc et Arrco à partir de 2019 est prise en compte, tout se passe comme si l’individu avait toujours cotisé au régime unifié Agirc-Arrco.</p>
<ul>
<li><code>dtIdAnCaisseCotisComp</code> sur les régimes complémentaires : cotisations. Elle diffère de <code>dtIdAnCaisseComplementaire</code> car l’individu a bien d’abord cotisé à l’Arrco avant unification, puis à l’Agirc-Arrco unifié :</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdAnCaisseCotisComp</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                       id annee      caisse cotisationSalariale
 1: salarié privé au smic  1980       Arrco                 104
 2: salarié privé au smic  1981       Arrco                 123
 3: salarié privé au smic  1982       Arrco                 141
 4: salarié privé au smic  1983       Arrco                 165
 5: salarié privé au smic  1984       Arrco                 239
 6: salarié privé au smic  1985       Arrco                 258
 7: salarié privé au smic  1986       Arrco                 269
 8: salarié privé au smic  1987       Arrco                 285
 9: salarié privé au smic  1988       Arrco                 297
10: salarié privé au smic  1989       Arrco                 310
11: salarié privé au smic  1990       Arrco                 323
12: salarié privé au smic  1991       Arrco                 337
13: salarié privé au smic  1992       Arrco                 355
14: salarié privé au smic  1993       Arrco                 364
15: salarié privé au smic  1994       Arrco                 392
16: salarié privé au smic  1995       Arrco                 404
17: salarié privé au smic  1996       Arrco                 430
18: salarié privé au smic  1997       Arrco                 454
19: salarié privé au smic  1998       Arrco                 486
20: salarié privé au smic  1999       Arrco                 507
21: salarié privé au smic  2000       Arrco                 518
22: salarié privé au smic  2001       Arrco                 537
23: salarié privé au smic  2002       Arrco                 554
24: salarié privé au smic  2003       Arrco                 576
25: salarié privé au smic  2004       Arrco                 587
26: salarié privé au smic  2005       Arrco                 599
27: salarié privé au smic  2006       Arrco                 601
28: salarié privé au smic  2007       Arrco                 616
29: salarié privé au smic  2008       Arrco                 634
30: salarié privé au smic  2009       Arrco                 646
31: salarié privé au smic  2010       Arrco                 653
32: salarié privé au smic  2011       Arrco                 665
33: salarié privé au smic  2012       Arrco                 686
34: salarié privé au smic  2013       Arrco                 695
35: salarié privé au smic  2014       Arrco                 702
36: salarié privé au smic  2015       Arrco                 708
37: salarié privé au smic  2016       Arrco                 713
38: salarié privé au smic  2017       Arrco                 719
39: salarié privé au smic  2018       Arrco                 728
40: salarié privé au smic  2019 Agirc-Arrco                 749
41: salarié privé au smic  2020 Agirc-Arrco                 758
42: salarié privé au smic  2021 Agirc-Arrco                 765
43: salarié privé au smic  2022 Agirc-Arrco                 194
                       id annee      caisse cotisationSalariale
    cotisationEmployeur
 1:                 157
 2:                 185
 3:                 212
 4:                 249
 5:                 360
 6:                 389
 7:                 406
 8:                 429
 9:                 448
10:                 466
11:                 486
12:                 508
13:                 535
14:                 548
15:                 580
16:                 601
17:                 639
18:                 681
19:                 719
20:                 752
21:                 770
22:                 798
23:                 826
24:                 858
25:                 872
26:                 888
27:                 892
28:                 914
29:                 942
30:                 959
31:                 969
32:                 986
33:                1019
34:                1032
35:                1060
36:                1085
37:                1092
38:                1102
39:                1116
40:                1148
41:                1161
42:                1173
43:                 297
    cotisationEmployeur
</code></pre>
</div>
<ul>
<li><code>dtIdCaisseModulationTemporaire</code> contient les coefficients de modulation temporaire et leur durée d’application (en mois)</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdCaisseModulationTemporaire</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id      caisse taux duree
1: salarié privé au smic Agirc-Arrco  0.9    36
</code></pre>
</div>
<ul>
<li><code>dtIdAnCaissePension</code> contient les chroniques des pensions mensuelles touchées jusqu’à la mort. La durée est en mois. Chaque ligne s’interprète ainsi comme : “cette <code>annee</code>, pendant la <code>duree</code> (en mois), le retraité a touché cette <code>pension</code> mensuelle”.</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdAnCaissePension</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                       id      caisse annee duree pension
 1: salarié privé au smic Agirc-Arrco  2022     7     294
 2: salarié privé au smic Agirc-Arrco  2022     2     300
 3: salarié privé au smic Agirc-Arrco  2023    10     300
 4: salarié privé au smic Agirc-Arrco  2023     2     305
 5: salarié privé au smic Agirc-Arrco  2024    10     305
 6: salarié privé au smic Agirc-Arrco  2024     2     310
 7: salarié privé au smic Agirc-Arrco  2025    10     335
 8: salarié privé au smic Agirc-Arrco  2025     2     351
 9: salarié privé au smic Agirc-Arrco  2026    10     351
10: salarié privé au smic Agirc-Arrco  2026     2     358
11: salarié privé au smic Agirc-Arrco  2027    10     358
12: salarié privé au smic Agirc-Arrco  2027     2     365
13: salarié privé au smic Agirc-Arrco  2028    10     365
14: salarié privé au smic Agirc-Arrco  2028     2     372
15: salarié privé au smic Agirc-Arrco  2029    10     372
16: salarié privé au smic Agirc-Arrco  2029     2     378
17: salarié privé au smic Agirc-Arrco  2030    10     378
18: salarié privé au smic Agirc-Arrco  2030     2     386
19: salarié privé au smic Agirc-Arrco  2031    10     386
20: salarié privé au smic Agirc-Arrco  2031     2     393
21: salarié privé au smic Agirc-Arrco  2032    10     393
22: salarié privé au smic Agirc-Arrco  2032     2     400
23: salarié privé au smic Agirc-Arrco  2033    10     400
24: salarié privé au smic Agirc-Arrco  2033     2     408
25: salarié privé au smic Agirc-Arrco  2034    10     408
26: salarié privé au smic Agirc-Arrco  2034     2     416
27: salarié privé au smic Agirc-Arrco  2035    10     416
28: salarié privé au smic Agirc-Arrco  2035     2     424
29: salarié privé au smic Agirc-Arrco  2036    10     424
30: salarié privé au smic Agirc-Arrco  2036     2     432
31: salarié privé au smic Agirc-Arrco  2037    10     432
32: salarié privé au smic Agirc-Arrco  2037     2     440
33: salarié privé au smic Agirc-Arrco  2038    10     440
34: salarié privé au smic Agirc-Arrco  2038     2     448
35: salarié privé au smic Agirc-Arrco  2039    10     448
36: salarié privé au smic Agirc-Arrco  2039     2     457
37: salarié privé au smic Agirc-Arrco  2040    10     457
38: salarié privé au smic Agirc-Arrco  2040     2     466
39: salarié privé au smic Agirc-Arrco  2041    10     466
40: salarié privé au smic Agirc-Arrco  2041     2     475
41: salarié privé au smic Agirc-Arrco  2042    10     475
42: salarié privé au smic Agirc-Arrco  2042     2     484
43: salarié privé au smic Agirc-Arrco  2043    10     484
44: salarié privé au smic Agirc-Arrco  2043     2     493
45: salarié privé au smic Agirc-Arrco  2044    10     493
46: salarié privé au smic Agirc-Arrco  2044     2     502
47: salarié privé au smic Agirc-Arrco  2045    10     502
48: salarié privé au smic Agirc-Arrco  2045     2     512
49: salarié privé au smic Agirc-Arrco  2046     9     512
50: salarié privé au smic        Cnav  2022     9     749
51: salarié privé au smic        Cnav  2023    12     762
52: salarié privé au smic        Cnav  2024    12     775
53: salarié privé au smic        Cnav  2025    12     789
54: salarié privé au smic        Cnav  2026    12     803
55: salarié privé au smic        Cnav  2027    12     817
56: salarié privé au smic        Cnav  2028    12     831
57: salarié privé au smic        Cnav  2029    12     846
58: salarié privé au smic        Cnav  2030    12     861
59: salarié privé au smic        Cnav  2031    12     876
60: salarié privé au smic        Cnav  2032    12     891
61: salarié privé au smic        Cnav  2033    12     906
62: salarié privé au smic        Cnav  2034    12     922
63: salarié privé au smic        Cnav  2035    12     938
64: salarié privé au smic        Cnav  2036    12     955
65: salarié privé au smic        Cnav  2037    12     972
66: salarié privé au smic        Cnav  2038    12     989
67: salarié privé au smic        Cnav  2039    12    1006
68: salarié privé au smic        Cnav  2040    12    1024
69: salarié privé au smic        Cnav  2041    12    1041
70: salarié privé au smic        Cnav  2042    12    1060
71: salarié privé au smic        Cnav  2043    12    1078
72: salarié privé au smic        Cnav  2044    12    1097
73: salarié privé au smic        Cnav  2045    12    1116
74: salarié privé au smic        Cnav  2046     9    1136
                       id      caisse annee duree pension
</code></pre>
</div>
<ul>
<li><code>dtIdPensionnes</code> contient les indicateurs individuels pour les pensionnés (au moins une pension &gt;0)</li>
</ul>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdPensionnes</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id aMinPension pensionLiqEurosConstants pensionLiqSmpt
1: salarié privé au smic       FALSE                 1050.805      0.3293169
   caissePrincipale aSurcote aDecote dureeValideeTousRegimes cotisationsSmpt
1:             Cnav    FALSE   FALSE                     169        6.236784
   remunerationSmpt dureeCarriere pensionCdvSmpt pensionCdvEurosConstants
1:         20.46531            43       7.017294                   311765
   dateLiqCaissePrincipale AOD AAD dureeRequise trimAdditionnelsPourTaux
1:                 2022-04  62  67          167                        0
   dateNaissance  sexe ageMort nbEnfant dateLiq nbTrimValideEtrg   categCSG
1:       1960-04 Femme      86        0 2022-04                0 Taux plein
   generation      type dateCoupure eligibleRacl aCarriereComplete
1:       1960 Liquidant     2022-04        FALSE              TRUE
   dureeRetraiteCaissePrincipale dureeRetraitePremiereLiq pensionMoySmpt
1:                          24.5                     24.5      0.2864202
   pensionMoyEurosConstants ageLiqCaissePrincipale remuMoySmpt
1:                     1060                     62   0.4759374
   txCotisationMoyen dureeRetraiteRelativeDureeCotisation txRemplacementCdv
1:         0.3047491                            0.5697674         0.6018022
   txAnnuite txRecuperation txPrestation
1: 0.3428873       1.125146     1.056224
</code></pre>
</div>
<h1 id="un-exemple-de-polypensionné-une-carrière-entre-le-privé-et-le-public">Un exemple de polypensionné : une carrière entre le privé et le public</h1>
<p>On peut simplement faire changer de caisse au cours de la carrière l’individu.</p>
<p>Créons un nouvel individu dans une base <code>dtId2</code> en conservant les caractéristiques de l’exemple précédent :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtId2<-copy(dtId)[,id := "mixte privé public"]</code></pre>
</div>
<p>Ensuite on crée la base de carrière <code>dtIdAnEtat2</code> en utilisant un <code>etatTravail</code> égal à “SRE”, la caisse de la Fonction Publique d’Etat, pour la durée souhaitée. Supposons 15 ans dans le privé suivi de 34 dans le public avec toujours le SMPT.</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdAnEtat2<-
  data.table(
    id = "mixte privé public",
    annee=1980:2028,
    etatTravail=c(rep("Cnav Arrco",15),rep("SRE",34)), 
    remuneration=serieSMPT(1980,2028, hypSmpt_=1.3))</code></pre>
</div>
<p>Dans le public les rémunérations annuelles sont les traitements (hors primes). Les primes doivent être indiquées dans la base spécifique <code>dtIdAnCaisseFonctionnaire</code>. Supposons que le taux de prime soit de 5 % :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdAnCaisseFonctionnaire<-
  data.table(
    id = "mixte privé public",
    annee=1995:2028,
    caisse="SRE", 
    primes=0.05*serieSMPT(1995,2028, hypSmpt_=1.3))</code></pre>
</div>
<p>Dans les résultats, les pensions provenant de chaque caisse sont dans la base <code>dtIdCaisse</code> :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats2 <- calculePension(
    dtIdAnEtat = dtIdAnEtat2,
    dtId = dtId2,
    dtIdAnCaisseFonctionnaire = dtIdAnCaisseFonctionnaire,
    hypSmpt=1.3
    )</code></pre>
</div>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats2$dtIdCaisse</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                   id      caisse majorationEnfant ajoutMinimum
1: mixte privé public         SRE                0            0
2: mixte privé public        Cnav                0            0
3: mixte privé public Agirc-Arrco                0            0
4: mixte privé public        Rafp                0            0
   pensionAvantMinEtMajo tauxSurcote nbTrimSurcote taux tauxDecote nbTrimDecote
1:                  1559           0             0   75          0            0
2:                   430           0             0   50          0            0
3:                   237           0             0  100          0            0
4:                    11           0             0  100          0            0
   dateLiq pension dateValeurPension anneeLiq
1: 2022-04    1559           2022-04     2022
2: 2022-04     430           2022-04     2022
3: 2022-04     237           2022-04     2022
4: 2022-04      11           2022-04     2022
</code></pre>
</div>
<p>On retrouve la proratisation pour chaque régime de base dans la table <code>dtIdCaisseBase</code> :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats2$dtIdCaisseBase</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                   id caisse    prorat dateLiq dateNaissance
1: mixte privé public    SRE 0.6526946 2022-04       1960-04
2: mixte privé public   Cnav 0.3592814 2022-04       1960-04
   dureeValideeTousRegimes dureeValidee dureeCotisee ageTauxPlein dureeProrat
1:                     169          109          109           62         167
2:                     169           60           60           62         167
   dureeRequise AAD AOD eligibleRacl1 eligibleRacl2 MDAenfantPourTaux
1:          167  67  62         FALSE         FALSE                 0
2:          167  67  62         FALSE         FALSE                 0
   MDAenfantPourProrat nbTrimServiceMili nbTrimBonification estInvalide ageliq
1:                   0                 0                  0       FALSE     62
2:                   0                 0                  0       FALSE     62
</code></pre>
</div>
<h1 id="plusieurs-individus-en-une-seule-étape">Plusieurs individus en une seule étape</h1>
<p>Les fonctions de <code>calculPension</code> ont pour utilisation première d’effectuer les calculs du modèle de microsimulation Trajectoire qui simule des millions d’individu. Il est donc possible de remplir les bases avec plusieurs individus, c’est même hautement conseillé pour la rapidité.</p>
<p>Il suffit d’empiler les différentes bases :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtId3 <- rbind(dtId, dtId2) 
dtId3</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id dateNaissance  sexe ageMort nbEnfant dateLiq
1: salarié privé au smic       1960-04 Femme      86        0 2022-04
2:    mixte privé public       1960-04 Femme      86        0 2022-04
   nbTrimValideEtrg   categCSG eligibleRacl1 eligibleRacl2 generation
1:                0 Taux plein         FALSE         FALSE       1960
2:                0 Taux plein         FALSE         FALSE       1960
</code></pre>
</div>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdAnEtat3 <- rbind(dtIdAnEtat, dtIdAnEtat2) </code></pre>
</div>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats3 <- calculePension(
    dtIdAnEtat = dtIdAnEtat3,
    dtId = dtId3,
    dtIdAnCaisseFonctionnaire = dtIdAnCaisseFonctionnaire,
    hypSmpt=1.3
    )
resultats3$dtIdCaisse</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id      caisse majorationEnfant ajoutMinimum
1:    mixte privé public         SRE                0            0
2:    mixte privé public        Cnav                0            0
3: salarié privé au smic        Cnav                0            0
4: salarié privé au smic Agirc-Arrco                0            0
5:    mixte privé public Agirc-Arrco                0            0
6:    mixte privé public        Rafp                0            0
   pensionAvantMinEtMajo tauxSurcote nbTrimSurcote taux tauxDecote nbTrimDecote
1:                  1559           0             0   75          0            0
2:                   430           0             0   50          0            0
3:                   749           0             0   50          0            0
4:                   327           0             0  100          0            0
5:                   237           0             0  100          0            0
6:                    11           0             0  100          0            0
   dateLiq pension dateValeurPension anneeLiq
1: 2022-04    1559           2022-04     2022
2: 2022-04     430           2022-04     2022
3: 2022-04     749           2022-04     2022
4: 2022-04     327           2022-04     2022
5: 2022-04     237           2022-04     2022
6: 2022-04      11           2022-04     2022
</code></pre>
</div>
<h1 id="jouer-sur-les-paramètres">Jouer sur les paramètres</h1>
<h2 id="les-paramètres-législatifs">Les paramètres législatifs</h2>
<p>Supposons qu’on souhaite voir l’effet d’un passage du Salaire Annuel Moyen aux 30 meilleurs années contre 25 années actuellement sur notre premier exemple <code>salarié au SMIC</code>. Les paramètres par défaut sont dans la liste suivante :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">parametres <- readRDS(system.file("extdata","parametres.Rds", package = "calculPension"))</code></pre>
</div>
<p>Les tables sont les suivantes :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">names(parametres)</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r"> [1] "ageDuree"                 "avts"                    
 [3] "coeffDecote"              "coeffDecoteFP"           
 [5] "coeffSurcote"             "complDecoteAge"          
 [7] "complDecoteDuree"         "dtVfuCoef"               
 [9] "dtVfuSeuil"               "forfaitASV"              
[11] "garantieMinimalePtsAgirc" "majoEnfantAA"            
[13] "majoEnfantSimple"         "minorationMiga"          
[15] "paramCotis"               "paramMico"               
[17] "paramMiga"                "paramNbAnPourSam"        
[19] "paramPmr"                 "paramRevalo"             
[21] "paramSmicHoraire"         "plafondPlancherCarmf"    
[23] "revaloMico"               "revaloSalaireSam"        
[25] "surcoteIrcantec"          "surcoteRafp"             
[27] "valeurPointsService"      "valeurPtAcquisition"     
[29] "valeurPtIndice"          
</code></pre>
</div>
<p>Les noms sont censés être explicites. Ici on veut jouer sur <code>paramNbAnPourSam</code>.</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">parametres$paramNbAnPourSam</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">     generation   caisse nbAnneesRetenues
  1:       1900     Cnav               10
  2:       1901     Cnav               10
  3:       1902     Cnav               10
  4:       1903     Cnav               10
  5:       1904     Cnav               10
 ---                                     
386:       2023 RSI base               25
387:       2024 RSI base               25
388:       2025 RSI base               25
389:       2026 RSI base               25
390:       2027 RSI base               25
</code></pre>
</div>
<p>Notre premier exemple étant de la génération 1960 et à la Cnav, on peut modifier cette table ainsi :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">nbAnPourSamModif<-copy(parametres$paramNbAnPourSam)[generation == 1960 & caisse=="Cnav", nbAnneesRetenues := 30]</code></pre>
</div>
<p>Puis on crée la liste <code>parametres2</code> modifiée :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">parametres2 <- parametres
parametres2$paramNbAnPourSam <- nbAnPourSamModif</code></pre>
</div>
<p>Et il ne reste plus qu’à lancer les calculs :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats4 <- calculePension(
    dtIdAnEtat = dtIdAnEtat,
    dtId = dtId,
    hypSmpt=1.3,
    parametres = parametres2
    )</code></pre>
</div>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats4$dtIdCaisse</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id      caisse majorationEnfant ajoutMinimum
1: salarié privé au smic        Cnav                0            0
2: salarié privé au smic Agirc-Arrco                0            0
   pensionAvantMinEtMajo tauxSurcote nbTrimSurcote taux tauxDecote nbTrimDecote
1:                   732           0             0   50          0            0
2:                   327           0             0  100          0            0
   dateLiq pension dateValeurPension anneeLiq
1: 2022-04     732           2022-04     2022
2: 2022-04     327           2022-04     2022
</code></pre>
</div>
<p>A comparer avec le calcul avec les paramètres par défaut :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1$dtIdCaisse</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">                      id      caisse majorationEnfant ajoutMinimum
1: salarié privé au smic        Cnav                0            0
2: salarié privé au smic Agirc-Arrco                0            0
   pensionAvantMinEtMajo tauxSurcote nbTrimSurcote taux tauxDecote nbTrimDecote
1:                   749           0             0   50          0            0
2:                   327           0             0  100          0            0
   dateLiq pension dateValeurPension anneeLiq
1: 2022-04     749           2022-04     2022
2: 2022-04     327           2022-04     2022
</code></pre>
</div>
<h2 id="les-paramètres-macroéconomiques">Les paramètres macroéconomiques</h2>
<p>Les hypothèses du COR sont implémentées, elles sont contenues dans la liste <code>parametresCOR</code>. On peut facilement choisir un scénario d’evolution du SMPT en renseignant la variable <code>hypSmpt</code> acceptant comme valeur 1, 1.3, 1.5, 1.8.</p>
<h1 id="plus-de-possibilités">Plus de possibilités</h1>
<h2 id="caisses-modélisées">Caisses modélisées</h2>
<p>Les possbilités pour la variable <code>EtatTravail</code> sont les suivantes :</p>
<ul>
<li><strong>Cnav Arrco</strong> (salarié du privé non cadre)</li>
<li><strong>Cnav Agirc</strong> (salarié du privé cadre)</li>
<li><strong>Cnav Ircantec</strong> (contractuel de la fonction publique)</li>
<li><strong>MSA salarié</strong></li>
<li><strong>RSI</strong> (indépendant)</li>
<li><strong>SRE</strong> (fonctionnaire d’état)</li>
<li><strong>CNRACL</strong> (fonctionnaire territorial ou hospitalier)</li>
<li><strong>Régime spécial</strong> (régime SNCF)</li>
<li><strong>MSA exploitant</strong> (exploitant agricole)</li>
<li><strong>CNAVPL</strong> (profession libérale sur le modèle des médecins)</li>
</ul>
<p>Rappel : En général la variable <code>remuneration</code> est la rémunération annuelle non plafonnée, pour la fonction publique et les régimes spéciaux c’est le traitement sans primes, les primes sont à entrer dans <code>dtIdAnCaisseFonctionnaire</code>. Des fonctions <code>serieSMIC</code>, <code>serieSMPT</code> et <code>seriePSS</code> peuvent aider à remplir les rémunérations en s’appuyant sur le SMIC, le Salaire Moyen Par Tête et le Plafond de la Sécurité Sociale.</p>
<h2 id="gestion-des-enfants">Gestion des enfants</h2>
<p>Pour un individu ayant des enfants, il convient d’indiquer à quel âge il les a eu afin de les associer à la caisse du moment, les règles d’attribution de trimestres variant avec les caisses. Par défaut on les met à 25 ans. Cela se fait dans la base <code>dtIdNumeroEnfant</code>, exemple pour quelqu’un ayant eu 3 enfants à 25, 27 et 30 ans :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdNumeroEnfant <- data.table(
  id = 1, 
  numeroEnfant = 1:3,
  agePourEnfant = c(25, 27, 30)
)
calculePension(dtIdNumeroEnfant = dtIdNumeroEnfant, ...)</code></pre>
</div>
<p>Cette précision n’est nécessaire que pour les femmes car on considère que les hommes n’ont pas de trimestres de majoration de durée d’assurance à la naissance. Ils auront néanmoins la majoration pour enfant de la pension.</p>
<h2 id="des-dates-de-liquidation-différentes-selon-les-caisses">Des dates de liquidation différentes selon les caisses</h2>
<p>Si l’utilisateur n’a pas rempli <code>dateLiq</code> dans la base individuelle, il doit la renseigner dans la base <code>dtIdCaisse</code> avec la possibilité d’avoir des liquidations différentes. Par exemple pour l’individu “mixte privé public”, on peut le faire partir deux ans plus tard dans ses caisses du privé :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdCaisse <- data.table(
  id = "mixte privé public",
  caisse = c("Cnav", "Agirc-Arrco", "SRE", "Rafp"),
  dateLiq = 
    c(
      anneeMois(aaaa = 2024,mm=8),
      anneeMois(aaaa = 2024,mm=8),
      anneeMois(aaaa = 2022,mm=4),
      anneeMois(aaaa = 2022,mm=4)
      )
)
calculePension(dtIdCaisse = dtIdCaisse, ...)</code></pre>
</div>
<h2 id="ajout-de-trimestres">Ajout de trimestres</h2>
<p>Pour prendre en compte les trimestres validés à l’étranger reconnus par le système français, on renseigne <code>nbTrimValideEtrg</code> dans <code>dtId</code>.</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtId <- data.table(id = 1, ..., nbTrimValideEtrg = 30)</code></pre>
</div>
<p>Pour les trimestres de service militaire ou de bonification, comme ils sont spécifiques à des caisses de base, on remplit la base <code>dtIdCaisseBase</code></p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdCaisseBase <- data.table(id = 1, caisse = "SRE", ..., nbTrimBonification = 10, nbTrimServiceMili = 3)
calculePension(dtIdCaisseBase = dtIdCaisseBase, ...)</code></pre>
</div>
<h2 id="catégorie-de-csg">Catégorie de CSG</h2>
<p>La catégorie de CSG <code>categCSG</code> peut être choisie entre les modalités “Exonération”, “Taux réduit”, “Taux médian”, “Taux intermédiaire”, “Taux plein” dans la base <code>dtId</code>.</p>
<h2 id="les-versements-forfaitaires-uniques">Les Versements Forfaitaires Uniques</h2>
<p>Si, dans certaines caisses, la pension mensuelle est sous un seuil, un versement forfaitaire unique est proposé au retraité. Dans ce cas sa pension n’apparaîtra pas dans <code>dtIdCaisse</code> mais dans <code>dtIdCaisseVfu</code></p>
<h2 id="les-régimes-de-base-à-points">Les régimes de base à points</h2>
<p>Deux caisses de base modélisées sont par points : la MSA exploitant et la CNAVPL. Une base spécifique <code>resultats$dtIdAnCaisseBasePoint</code> contient le détail des points obtenus chaque année.</p>
<h2 id="prise-en-compte-de-linvalidité">Prise en compte de l’invalidité</h2>
<p>Entrer la colonne <code>estInvalide = TRUE</code> dans <code>dtIdAnEtat</code> permet de signaler l’individu comme invalide. Il n’aura pas de décote quelle que soit sa date de liquidation.</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdAnEtat[, estInvalide := TRUE]</code></pre>
</div>
<h2 id="prise-en-compte-des-périodes-de-chômage-ou-de-maladie">Prise en compte des périodes de chômage ou de maladie</h2>
<p>L’obtention de trimestres assimilés de chômage ou de maladie au cours de la carrière selon la caisse et la période de chômage/maladie n’est pas codée.</p>
<p>Une façon de les prendre en compte, dans l’exemple 1, est de réduire la rémunération certaines années :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdAnEtat[annee %between% c(2000, 2003), remuneration:=0]</code></pre>
</div>
<p>Puis d’ajouter des trimestres assimilés (supposons 12), par exemple à travers les trimestres de bonification :</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">dtIdCaisseBase <- data.table(id = "salarié privé au smic", caisse = "Cnav", ..., nbTrimBonification = 12)</code></pre>
</div>
<p>Dans Trajectoire les trimestres assimilés sont imputés à partir des données observées dans l’EIC.</p>
<h2 id="détail-de-toutes-les-opérations-réalisées">Détail de toutes les opérations réalisées</h2>
<p>Mettre l’argument <code>verbose = TRUE</code> dans <code>calculePension</code> affiche toutes les étapes réalisées pour le calcul total. Chacune correspond à une fonction du paquet utilisable indépendamment. Ces étapes correspondent à un peu plus d’un tiers du modèle de microsimulation complet Trajectoire.</p>
<div class="row">
<button class="source R toggle btn btn-xs btn-primary">
<span class="glyphicon glyphicon-chevron-down"></span> R source
</button>
<pre style=""><code class="source r">resultats1 <- calculePension(
    dtIdAnEtat = dtIdAnEtat,
    dtId = dtId,
    hypSmpt=1.3,
    verbose = TRUE
    )</code></pre>
<button class="output R toggle btn btn-xs btn-success">
<span class="glyphicon glyphicon-chevron-down"></span> R output
</button>
<pre style=""><code class="output r">Prise en compte de l'hypothèse SMPT du COR...fini
Passage des états au format (id, an, caisse)...fini
Calcul des trimestres cotisés...fini
Calcul des cotisations des régimes de base...fini
Calcul des cotisations des régimes complémentaires...fini
Calcul des points cotisés dans les régimes de base...fini
Calcul des points cotisés dans les régimes complémentaires...fini
Calcul des totaux annuels de points...fini
Calcul des trimestres validés...fini
Calcul des MDA enfant...fini
Calcul des trimestres additionnels individuels...fini
Ajout des AOD, AAD et durées réglementaires...fini
Création de la base au pas trimestriel...fini
Détermination de l'âge du taux plein dans chaque caisse...fini
Gestion de la dernière année...fini
Application de la Lura...fini
Regroupement SRE/CNRACL pour les polycotisants...fini
Gestion de la fusion Agirc-Arrco...fini
Calcul des durées validées totales...fini
Ajout de la MDA âge...fini
Calcul du SAM...fini
Calcul du salaire de référence des fonctionnaires...fini
Calcul du nombre de trimestres de décote...fini
Calcul du taux de décote...fini
Calcul du taux...fini
Calcul du nombre de trimestres de surcote...fini
Calcul de la surcote...fini
Calcul du coefficient de proratisation...fini
Calcul de la pension avant minima et majoration...fini
Majoration de la pension avec les bonifications dans SRE et CNRACL...fini
Calcul des minima...fini
Ecrêtement du MICO...fini
Calcul de la majoration enfant...fini
Calcul de la pension totale...fini
Détermination des modulations temporaires...fini
Calcul des VFU...fini
Calcul des chroniques de pension...fini
Application des modulations temporaires...fini
Détermine la caisse principale...fini
Filtre droit direct...fini
Calcul pension cycle de vie...fini
Calcul cotisations et rémunérations cycle de vie...fini
Indicateurs individuels...fini
</code></pre>
</div>
<!-- Le code ci-dessus illustre la possibilité de calculer un une seule passe la pension de plusieurs cas types (2 ici) : -->
<!-- ```{r} -->
<!-- resultats <- calculePension( -->
<!--     dtIdAnEtat = dtIdAnEtat, -->
<!--     dtId = dtId, -->
<!--     hypSmpt=1.3, -->
<!--     detailCalcul = FALSE -->
<!--   ) -->
<!-- resultats -->
<!-- ``` -->
<!-- # Détails  -->
<!-- Si on veut simuler plusieurs individus en même temps, il faut entrer toutes les données sous format vectoriel `c(element_individu_1,element_individu_2,element_individu_3, ...)`. Si on n'entre qu'un seul élément alors que les individus sont plusieurs, l'élément sera répété pour tous les individus.  -->
<!-- ```{r} -->
<!-- dtIdCaisse<- -->
<!--   data.table( -->
<!--     id = c(1,1,2,2,2,2,3,3,3,3,3), -->
<!--     caisse=c("Cnav","Arrco","Cnav","Arrco","SRE","Rafp","Cnav","Arrco","SRE","Rafp","MSA salarié"), -->
<!--     dateLiq = anneeMois(aaaa = 2022,mm=4)) # part à la retraite à 62 ans -->
<!--     #nbTrimDecote=rep(0,2)) -->
<!-- dtIdCaisse[id==2 & caisse=="SRE",dateLiq:= anneeMois(aaaa = 2026,mm=8)] # parce que c'est possible -->
<!-- dtIdCaisse[id==3,dateLiq:= anneeMois(aaaa = 2028,mm=4)] # part après l'AAD pour tester MDA âge et minimum contributif -->
<!-- ``` -->
<!-- # Polypensionnés Cnav-SRE -->
<!-- # On le fait commencer à travailler tard, pour forcer une décote -->
<!-- dtIdAnEtat2 <- copy(dtIdAnEtat1)[,id:=2] -->
<!-- dtIdAnEtat2[annee>2010, etatTravail:="SRE"] -->
<!-- dtIdAnEtat2[annee<1990, remuneration:=0] -->
<!-- dtIdAnEtat3 <- copy(dtIdAnEtat1)[,id:=3] -->
<!-- dtIdAnEtat3[annee<1983, remuneration:=0] -->
<!-- dtIdAnEtat3[annee>1998 & annee<=2010, etatTravail:="MSA salarié"] -->
<!-- dtIdAnEtat3[annee>2010, etatTravail:="SRE"] -->
<!-- dtIdAnEtat <- rbind(dtIdAnEtat1,dtIdAnEtat2,dtIdAnEtat3)[remuneration>0] -->
<!-- * ses données (id, caisse) spécifiques aux fonctionnaires -->
<!-- ```{r} -->
<!-- dtIdCaisseFonctionnaire<- -->
<!--   data.table( -->
<!--     id=c(2,3), -->
<!--     caisse="SRE", -->
<!--     categFonctionPublique="Sédentaire" -->
<!--   ) -->
<!-- ``` -->
<!-- * Si l'assuré est une femme et qu'elle a eu des enfants, il faut préciser l'âge auquel elle les a eus dans la base `dtIdNumeroEnfant` -->
<!--  - *id* : l'identifiant (le même que dans `dtId`) -->
<!--  - *numeroEnfant* : le "numéro" de l'enfant (1 =  aîné, 2 = cadet etc.) -->
<!--  - *agePourEnfant* : l'âge auquel elle a eu ses enfants.  -->
<!-- ```{r} -->
<!-- dtIdNumeroEnfant<-data.table( -->
<!--    id=1, -->
<!--    numeroEnfant=1:2, -->
<!--    agePourEnfant=c(30,35) -->
<!--  ) -->
<!-- ``` -->
<!-- ```{r} -->
<!-- dtId <- data.table( -->
<!--   id = c(1,2,3), -->
<!--   dateNaissance = anneeMois(1960, mm=4), # né en avril 1960 -->
<!--   sexe="Femme", -->
<!--   ageMort=86, -->
<!--   nbEnfant=c(2,0,0), -->
<!--   nbTrimValideEtrg = 0, -->
<!--   categCSG = "Exonération", -->
<!--   dateLiq = anneeMois(aaaa = 2022,mm=4)) -->
<!-- ``` -->
<!-- * ses données (id, caisse, année) spécifiques aux fonctionnaires -->
<!-- ```{r} -->
<!-- dtIdAnCaisseFonctionnaire<- -->
<!--   dtIdAnEtat[etatTravail=="SRE", .(id, caisse=etatTravail, annee,primes=0.15*remuneration)] -->
<!-- ``` -->
<!--  - *nbTrimValideEtrg* : le nombre de trimestres validés à l'étranger pris en compte par le système de retraite français, exp : `30`. -->
<!--  - *categCSG* : la catégorie CSG entre "Taux réduit", "Exonération", "Normal". Elle joue sur la modulation temporaire. -->
<!-- * ses données (id, caisse) spécifiques aux régimes de base : -->
<!--  + `dtIdAnCaisseBasePoint` sur les régimes de base en points (CNAVPL, MSA exploitant) : cotisations, nombre de points acquis -->
<!-- ```{r} -->
<!-- dtIdCaisseBase<- -->
<!--   data.table( -->
<!--     id=c(1,2,2,3,3,3), -->
<!--     caisse=c("Cnav","Cnav","SRE","Cnav","SRE","MSA salarié"), -->
<!--     nbTrimBonification=0, # à automatiser ??? -> tiré aléatoirement dans Trajectoire -> on pourrait coder l'obtention déterministe des bonifs dans la FP -->
<!--     nbTrimServiceMili=0) -->
<!-- ``` -->
</div>
</div>
<div class="navbar navbar-fixed-bottom navbar-inverse">
<div class="container">
<div class="navbar-header">
<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-responsive-collapse">
<span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span>
</button>
</div>
<div id="bottom-navbar" class="navbar-collapse collapse navbar-responsive-collapse">
<ul class="nav navbar-nav navbar-right">
<li class="nav">
<p class="navbar-text">
Toggle
</p>
</li>
<li class="dropup">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Code <b class="caret"></b></a>
<ul class="dropdown-menu">
<li class="dropdown-header">
Languages
</li>
<li class="active">
<a href="#" class="toggle-global source R" type="source.R">R</a>
</li>
<li>
<a href="#" type="all-source" class="toggle-global">All</a>
</li>
</ul>
</li>
<li class="dropup">
<a href="#" class="dropdown-toggle" data-toggle="dropdown">Output <b class="caret"></b></a>
<ul class="dropdown-menu">
<li class="dropdown-header">
Type
</li>
<li class="active">
<a href="#" class="toggle-global message" type="message">message</a>
</li>
<li class="active">
<a href="#" class="toggle-global warning" type="warning">warning</a>
</li>
<li class="active">
<a href="#" class="toggle-global output" type="output">output</a>
</li>
<li>
<a href="#" type="all-output" class="toggle-global">All</a>
</li>
</ul>
</li>
<li class="active">
<a href="#" type="figure" class="toggle-global">Figures</a>
</li>
</ul>
</div>
</div>
</div>
</div>
<div id="push">

</div>
<div id="footer">
<div class="container">
<p class="text-muted" id="credit">
Styled with <a href="https://github.com/jimhester/knitrBootstrap">knitrBootstrap</a>
</p>
</div>
</div>
<link rel="stylesheet" id="theme" href="https://netdna.bootstrapcdn.com/bootswatch/3.0.0/spacelab/bootstrap.min.css" media="screen"></link><link rel="stylesheet" id="highlight" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/7.3/styles/rainbow.min.css" media="screen"></link>
</div>
</body>
</html>
